SDL_GetClipRect(3)

NAME
SDL_GetClipRect - Gets the clipping rectangle for a surface.

SYNOPSIS

#include "SDL.h"

void SDL_GetClipRect(SDL_Surface *surface, SDL_Rect *rect);

DESCRIPTION

Gets the clipping rectangle for a surface. When this surface is the destination of a blit, only the area within the clip rectangle is drawn into.

The rectangle pointed to by rect will be filled with the clipping rectangle of the surface.

SEE ALSO

SDL_SetClipRect, SDL_BlitSurface, SDL_Surface